Summary: Parses almost all ISO8601 date and time formats
Name: perl-DateTime-Format-ISO8601
Version: 0.07
Release: 6.4
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/DateTime-Format-ISO8601/
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
Source: http://search.cpan.org/CPAN/authors/id/J/JH/JHOBLITT/DateTime-Format-ISO8601-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl, perl(Module::Build)
Requires: perl-DateTime, perl-DateTime-Format-Builder, perl-Class-Factory-Util

%description
This module parses almost all ISO8601 date and time formats.
ISO8601 time-intervals will be supported in a later release.

%prep
%setup -n DateTime-Format-ISO8601-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor"  destdir="%{buildroot}" 
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
make DESTDIR=$RPM_BUILD_ROOT install
%{__rm} -rf %{buildroot}%{perl_archlib}/perllocal.pod %{buildroot}%{perl_vendorarch}/auto/*/*/*/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*
%{perl_vendorlib}/DateTime/Format/ISO8601.p*
%dir %{perl_vendorlib}/DateTime
%dir %{perl_vendorlib}/DateTime/Format

%changelog
* Sun Dec 25 2005 Dries Verachtert <dries@ulyssis.org> - 0.0403-1
- Initial package.
